<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rebates', function (Blueprint $table) {
            $table->id();
            $table->string('date')->comment('日期');
            $table->string('member_id')->comment('tg id');

            $table->decimal('betting_amount', 10, 2)->comment('投注额');
            $table->decimal('rebate_ratio', 10, 2)->nullable()->comment('返佣比例');
            $table->decimal('amount', 10, 2)->default(0)->comment('返佣金额');
            $table->tinyInteger('status')->default(0)->comment('0未返佣，1已返佣');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('rebates');
    }
};
